/twilio-phone-numbers | Type: Application | PCID required: Yes
Tools
twilio_phone_numbers_create_address
POST /Addresses.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AutoCorrectAddress | boolean | No | — | Whether we should automatically correct the address. Can be: true or false and the default is true. If empty or true, we will correct the address you provide if necessary. If false, we won’t alter the address you provide. |
City | string | Yes | — | The city of the new address. |
CustomerName | string | Yes | — | The name to associate with the new address. |
EmergencyEnabled | boolean | No | — | Whether to enable emergency calling on the new address. Can be: true or false. |
FriendlyName | string | No | — | A descriptive string that you create to describe the new address. It can be up to 64 characters long for Regulatory Compliance addresses and 32 characters long for Emergency addresses. |
IsoCountry | string | Yes | — | The ISO country code of the new address. |
PostalCode | string | Yes | — | The postal code of the new address. |
Region | string | Yes | — | The state or region of the new address. |
Street | string | Yes | — | The number and street address of the new address. |
StreetSecondary | string | No | — | The additional number and street address of the address. |
twilio_phone_numbers_create_incoming_phone_number
Purchase a phone-number for the account. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AddressSid | string | No | — | The SID of the Address resource we should associate with the new phone number. Some regions require addresses to meet local regulations. |
ApiVersion | string | No | — | The API version to use for incoming calls made to the new phone number. The default is 2010-04-01. |
AreaCode | string | No | — | The desired area code for your new incoming phone number. Can be any three-digit, US or Canada area code. We will provision an available phone number within this area code for you. You must provide an area_code or a phone_number. (US and Canada only). |
BundleSid | string | No | — | The SID of the Bundle resource that you associate with the phone number. Some regions require a Bundle to meet local Regulations. |
EmergencyAddressSid | string | No | — | The SID of the emergency address configuration to use for emergency calling from the new phone number. |
EmergencyStatus | string | No | — | The parameter displays if emergency calling is enabled for this number. Active numbers may place emergency calls by dialing valid emergency numbers for the country. |
FriendlyName | string | No | — | A descriptive string that you created to describe the new phone number. It can be up to 64 characters long. By default, this is a formatted version of the new phone number. |
IdentitySid | string | No | — | The SID of the Identity resource that we should associate with the new phone number. Some regions require an identity to meet local regulations. |
PhoneNumber | string | No | — | The phone number to purchase specified in E.164 format. E.164 phone numbers consist of a + followed by the country code and subscriber number without punctuation characters. For example, +14155551234. |
SmsApplicationSid | string | No | — | The SID of the application that should handle SMS messages sent to the new phone number. If an sms_application_sid is present, we ignore all of the sms_*_url urls and use those set on the application. |
SmsFallbackMethod | string | No | — | The HTTP method that we should use to call sms_fallback_url. Can be: GET or POST and defaults to POST. |
SmsFallbackUrl | string | No | — | The URL that we should call when an error occurs while requesting or executing the TwiML defined by sms_url. |
SmsMethod | string | No | — | The HTTP method that we should use to call sms_url. Can be: GET or POST and defaults to POST. |
SmsUrl | string | No | — | The URL we should call when the new phone number receives an incoming SMS message. |
StatusCallback | string | No | — | The URL we should call using the status_callback_method to send status information to your application. |
StatusCallbackMethod | string | No | — | The HTTP method we should use to call status_callback. Can be: GET or POST and defaults to POST. |
TrunkSid | string | No | — | The SID of the Trunk we should use to handle calls to the new phone number. If a trunk_sid is present, we ignore all of the voice urls and voice applications and use only those set on the Trunk. Setting a trunk_sid will automatically delete your voice_application_sid and vice versa. |
VoiceApplicationSid | string | No | — | The SID of the application we should use to handle calls to the new phone number. If a voice_application_sid is present, we ignore all of the voice urls and use only those set on the application. Setting a voice_application_sid will automatically delete your trunk_sid and vice versa. |
VoiceCallerIdLookup | boolean | No | — | Whether to lookup the caller’s name from the CNAM database and post it to your app. Can be: true or false and defaults to false. |
VoiceFallbackMethod | string | No | — | The HTTP method that we should use to call voice_fallback_url. Can be: GET or POST and defaults to POST. |
VoiceFallbackUrl | string | No | — | The URL that we should call when an error occurs retrieving or executing the TwiML requested by url. |
VoiceMethod | string | No | — | The HTTP method that we should use to call voice_url. Can be: GET or POST and defaults to POST. |
VoiceReceiveMode | string | No | — | Voice Receive Mode |
VoiceUrl | string | No | — | The URL that we should call to answer a call to the new phone number. The voice_url will not be called if a voice_application_sid or a trunk_sid is set. |
twilio_phone_numbers_create_incoming_phone_number_local
POST /IncomingPhoneNumbers/Local.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AddressSid | string | No | — | The SID of the Address resource we should associate with the new phone number. Some regions require addresses to meet local regulations. |
ApiVersion | string | No | — | The API version to use for incoming calls made to the new phone number. The default is 2010-04-01. |
BundleSid | string | No | — | The SID of the Bundle resource that you associate with the phone number. Some regions require a Bundle to meet local Regulations. |
EmergencyAddressSid | string | No | — | The SID of the emergency address configuration to use for emergency calling from the new phone number. |
EmergencyStatus | string | No | — | The parameter displays if emergency calling is enabled for this number. Active numbers may place emergency calls by dialing valid emergency numbers for the country. |
FriendlyName | string | No | — | A descriptive string that you created to describe the new phone number. It can be up to 64 characters long. By default, this is a formatted version of the phone number. |
IdentitySid | string | No | — | The SID of the Identity resource that we should associate with the new phone number. Some regions require an identity to meet local regulations. |
PhoneNumber | string | Yes | — | The phone number to purchase specified in E.164 format. E.164 phone numbers consist of a + followed by the country code and subscriber number without punctuation characters. For example, +14155551234. |
SmsApplicationSid | string | No | — | The SID of the application that should handle SMS messages sent to the new phone number. If an sms_application_sid is present, we ignore all of the sms_*_url urls and use those set on the application. |
SmsFallbackMethod | string | No | — | The HTTP method that we should use to call sms_fallback_url. Can be: GET or POST and defaults to POST. |
SmsFallbackUrl | string | No | — | The URL that we should call when an error occurs while requesting or executing the TwiML defined by sms_url. |
SmsMethod | string | No | — | The HTTP method that we should use to call sms_url. Can be: GET or POST and defaults to POST. |
SmsUrl | string | No | — | The URL we should call when the new phone number receives an incoming SMS message. |
StatusCallback | string | No | — | The URL we should call using the status_callback_method to send status information to your application. |
StatusCallbackMethod | string | No | — | The HTTP method we should use to call status_callback. Can be: GET or POST and defaults to POST. |
TrunkSid | string | No | — | The SID of the Trunk we should use to handle calls to the new phone number. If a trunk_sid is present, we ignore all of the voice urls and voice applications and use only those set on the Trunk. Setting a trunk_sid will automatically delete your voice_application_sid and vice versa. |
VoiceApplicationSid | string | No | — | The SID of the application we should use to handle calls to the new phone number. If a voice_application_sid is present, we ignore all of the voice urls and use only those set on the application. Setting a voice_application_sid will automatically delete your trunk_sid and vice versa. |
VoiceCallerIdLookup | boolean | No | — | Whether to lookup the caller’s name from the CNAM database and post it to your app. Can be: true or false and defaults to false. |
VoiceFallbackMethod | string | No | — | The HTTP method that we should use to call voice_fallback_url. Can be: GET or POST and defaults to POST. |
VoiceFallbackUrl | string | No | — | The URL that we should call when an error occurs retrieving or executing the TwiML requested by url. |
VoiceMethod | string | No | — | The HTTP method that we should use to call voice_url. Can be: GET or POST and defaults to POST. |
VoiceReceiveMode | string | No | — | Voice Receive Mode |
VoiceUrl | string | No | — | The URL that we should call to answer a call to the new phone number. The voice_url will not be called if a voice_application_sid or a trunk_sid is set. |
twilio_phone_numbers_create_incoming_phone_number_mobile
POST /IncomingPhoneNumbers/Mobile.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AddressSid | string | No | — | The SID of the Address resource we should associate with the new phone number. Some regions require addresses to meet local regulations. |
ApiVersion | string | No | — | The API version to use for incoming calls made to the new phone number. The default is 2010-04-01. |
BundleSid | string | No | — | The SID of the Bundle resource that you associate with the phone number. Some regions require a Bundle to meet local Regulations. |
EmergencyAddressSid | string | No | — | The SID of the emergency address configuration to use for emergency calling from the new phone number. |
EmergencyStatus | string | No | — | The parameter displays if emergency calling is enabled for this number. Active numbers may place emergency calls by dialing valid emergency numbers for the country. |
FriendlyName | string | No | — | A descriptive string that you created to describe the new phone number. It can be up to 64 characters long. By default, the is a formatted version of the phone number. |
IdentitySid | string | No | — | The SID of the Identity resource that we should associate with the new phone number. Some regions require an identity to meet local regulations. |
PhoneNumber | string | Yes | — | The phone number to purchase specified in E.164 format. E.164 phone numbers consist of a + followed by the country code and subscriber number without punctuation characters. For example, +14155551234. |
SmsApplicationSid | string | No | — | The SID of the application that should handle SMS messages sent to the new phone number. If an sms_application_sid is present, we ignore all of the sms_*_url urls and use those of the application. |
SmsFallbackMethod | string | No | — | The HTTP method that we should use to call sms_fallback_url. Can be: GET or POST and defaults to POST. |
SmsFallbackUrl | string | No | — | The URL that we should call when an error occurs while requesting or executing the TwiML defined by sms_url. |
SmsMethod | string | No | — | The HTTP method that we should use to call sms_url. Can be: GET or POST and defaults to POST. |
SmsUrl | string | No | — | The URL we should call when the new phone number receives an incoming SMS message. |
StatusCallback | string | No | — | The URL we should call using the status_callback_method to send status information to your application. |
StatusCallbackMethod | string | No | — | The HTTP method we should use to call status_callback. Can be: GET or POST and defaults to POST. |
TrunkSid | string | No | — | The SID of the Trunk we should use to handle calls to the new phone number. If a trunk_sid is present, we ignore all of the voice urls and voice applications and use only those set on the Trunk. Setting a trunk_sid will automatically delete your voice_application_sid and vice versa. |
VoiceApplicationSid | string | No | — | The SID of the application we should use to handle calls to the new phone number. If a voice_application_sid is present, we ignore all of the voice urls and use only those set on the application. Setting a voice_application_sid will automatically delete your trunk_sid and vice versa. |
VoiceCallerIdLookup | boolean | No | — | Whether to lookup the caller’s name from the CNAM database and post it to your app. Can be: true or false and defaults to false. |
VoiceFallbackMethod | string | No | — | The HTTP method that we should use to call voice_fallback_url. Can be: GET or POST and defaults to POST. |
VoiceFallbackUrl | string | No | — | The URL that we should call when an error occurs retrieving or executing the TwiML requested by url. |
VoiceMethod | string | No | — | The HTTP method that we should use to call voice_url. Can be: GET or POST and defaults to POST. |
VoiceReceiveMode | string | No | — | Voice Receive Mode |
VoiceUrl | string | No | — | The URL that we should call to answer a call to the new phone number. The voice_url will not be called if a voice_application_sid or a trunk_sid is set. |
twilio_phone_numbers_create_incoming_phone_number_toll_free
POST /IncomingPhoneNumbers/TollFree.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AddressSid | string | No | — | The SID of the Address resource we should associate with the new phone number. Some regions require addresses to meet local regulations. |
ApiVersion | string | No | — | The API version to use for incoming calls made to the new phone number. The default is 2010-04-01. |
BundleSid | string | No | — | The SID of the Bundle resource that you associate with the phone number. Some regions require a Bundle to meet local Regulations. |
EmergencyAddressSid | string | No | — | The SID of the emergency address configuration to use for emergency calling from the new phone number. |
EmergencyStatus | string | No | — | The parameter displays if emergency calling is enabled for this number. Active numbers may place emergency calls by dialing valid emergency numbers for the country. |
FriendlyName | string | No | — | A descriptive string that you created to describe the new phone number. It can be up to 64 characters long. By default, this is a formatted version of the phone number. |
IdentitySid | string | No | — | The SID of the Identity resource that we should associate with the new phone number. Some regions require an Identity to meet local regulations. |
PhoneNumber | string | Yes | — | The phone number to purchase specified in E.164 format. E.164 phone numbers consist of a + followed by the country code and subscriber number without punctuation characters. For example, +14155551234. |
SmsApplicationSid | string | No | — | The SID of the application that should handle SMS messages sent to the new phone number. If an sms_application_sid is present, we ignore all sms_*_url values and use those of the application. |
SmsFallbackMethod | string | No | — | The HTTP method that we should use to call sms_fallback_url. Can be: GET or POST and defaults to POST. |
SmsFallbackUrl | string | No | — | The URL that we should call when an error occurs while requesting or executing the TwiML defined by sms_url. |
SmsMethod | string | No | — | The HTTP method that we should use to call sms_url. Can be: GET or POST and defaults to POST. |
SmsUrl | string | No | — | The URL we should call when the new phone number receives an incoming SMS message. |
StatusCallback | string | No | — | The URL we should call using the status_callback_method to send status information to your application. |
StatusCallbackMethod | string | No | — | The HTTP method we should use to call status_callback. Can be: GET or POST and defaults to POST. |
TrunkSid | string | No | — | The SID of the Trunk we should use to handle calls to the new phone number. If a trunk_sid is present, we ignore all of the voice urls and voice applications and use only those set on the Trunk. Setting a trunk_sid will automatically delete your voice_application_sid and vice versa. |
VoiceApplicationSid | string | No | — | The SID of the application we should use to handle calls to the new phone number. If a voice_application_sid is present, we ignore all of the voice urls and use those set on the application. Setting a voice_application_sid will automatically delete your trunk_sid and vice versa. |
VoiceCallerIdLookup | boolean | No | — | Whether to lookup the caller’s name from the CNAM database and post it to your app. Can be: true or false and defaults to false. |
VoiceFallbackMethod | string | No | — | The HTTP method that we should use to call voice_fallback_url. Can be: GET or POST and defaults to POST. |
VoiceFallbackUrl | string | No | — | The URL that we should call when an error occurs retrieving or executing the TwiML requested by url. |
VoiceMethod | string | No | — | The HTTP method that we should use to call voice_url. Can be: GET or POST and defaults to POST. |
VoiceReceiveMode | string | No | — | Voice Receive Mode |
VoiceUrl | string | No | — | The URL that we should call to answer a call to the new phone number. The voice_url will not be called if a voice_application_sid or a trunk_sid is set. |
twilio_phone_numbers_delete_address
DELETE /Addresses/{Sid}.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the Address resource to delete. |
twilio_phone_numbers_delete_incoming_phone_number
Delete a phone-numbers belonging to the account used to make the request. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the IncomingPhoneNumber resource to delete. |
twilio_phone_numbers_delete_outgoing_caller_id
Delete the caller-id specified from the account Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the OutgoingCallerId resource to delete. |
twilio_phone_numbers_fetch_address
GET /Addresses/{Sid}.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the Address resource to fetch. |
twilio_phone_numbers_fetch_available_phone_number_country
GET /AvailablePhoneNumbers/{CountryCode}.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CountryCode | string | Yes | — | The ISO-3166-1 country code of the country to fetch available phone number information about. |
twilio_phone_numbers_fetch_incoming_phone_number
Fetch an incoming-phone-number belonging to the account used to make the request. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the IncomingPhoneNumber resource to fetch. |
twilio_phone_numbers_fetch_outgoing_caller_id
Fetch an outgoing-caller-id belonging to the account used to make the request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the OutgoingCallerId resource to fetch. |
twilio_phone_numbers_list_address
GET /Addresses.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CustomerName | string | No | — | The customer_name of the Address resources to read. |
FriendlyName | string | No | — | The string that identifies the Address resources to read. |
EmergencyEnabled | boolean | No | — | Whether the address can be associated to a number for emergency calling. |
IsoCountry | string | No | — | The ISO country code of the Address resources to read. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_available_phone_number_country
GET /AvailablePhoneNumbers.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_available_phone_number_local
GET /AvailablePhoneNumbers/{CountryCode}/Local.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CountryCode | string | Yes | — | The ISO-3166-1 country code of the country from which to read phone numbers. |
AreaCode | integer | No | — | The area code of the phone numbers to read. Applies to only phone numbers in the US and Canada. |
Contains | string | No | — | Matching pattern to identify phone numbers. This pattern can be between 2 and 16 characters long and allows all digits (0-9) and all non-diacritic latin alphabet letters (a-z, A-Z). It accepts four meta-characters: *, %, +, $. The * and % meta-characters can appear multiple times in the pattern. To match wildcards at the beginning or end of the pattern, use * to match any single character or % to match a sequence of characters. If you use the wildcard patterns, it must include at least two non-meta-characters, and wildcards cannot be used between non-meta-characters. To match the beginning of a pattern, start the pattern with +. To match the end of the pattern, append the pattern with $. These meta-characters can’t be adjacent to each other. |
SmsEnabled | boolean | No | — | Whether the phone numbers can receive text messages. Can be: true or false. |
MmsEnabled | boolean | No | — | Whether the phone numbers can receive MMS messages. Can be: true or false. |
VoiceEnabled | boolean | No | — | Whether the phone numbers can receive calls. Can be: true or false. |
ExcludeAllAddressRequired | boolean | No | — | Whether to exclude phone numbers that require an Address. Can be: true or false and the default is false. |
ExcludeLocalAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a local Address. Can be: true or false and the default is false. |
ExcludeForeignAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a foreign Address. Can be: true or false and the default is false. |
Beta | boolean | No | — | Whether to read phone numbers that are new to the Twilio platform. Can be: true or false and the default is true. |
NearNumber | string | No | — | Given a phone number, find a geographically close number within distance miles. Distance defaults to 25 miles. Applies to only phone numbers in the US and Canada. |
NearLatLong | string | No | — | Given a latitude/longitude pair lat,long find geographically close numbers within distance miles. Applies to only phone numbers in the US and Canada. |
Distance | integer | No | — | The search radius, in miles, for a near_ query. Can be up to 500 and the default is 25. Applies to only phone numbers in the US and Canada. |
InPostalCode | string | No | — | Limit results to a particular postal code. Given a phone number, search within the same postal code as that number. Applies to only phone numbers in the US and Canada. |
InRegion | string | No | — | Limit results to a particular region, state, or province. Given a phone number, search within the same region as that number. Applies to only phone numbers in the US and Canada. |
InRateCenter | string | No | — | Limit results to a specific rate center, or given a phone number search within the same rate center as that number. Requires in_lata to be set as well. Applies to only phone numbers in the US and Canada. |
InLata | string | No | — | Limit results to a specific local access and transport area (LATA). Given a phone number, search within the same LATA as that number. Applies to only phone numbers in the US and Canada. |
InLocality | string | No | — | Limit results to a particular locality or city. Given a phone number, search within the same Locality as that number. |
FaxEnabled | boolean | No | — | Whether the phone numbers can receive faxes. Can be: true or false. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_available_phone_number_machine_to_machine
GET /AvailablePhoneNumbers/{CountryCode}/MachineToMachine.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CountryCode | string | Yes | — | The ISO-3166-1 country code of the country from which to read phone numbers. |
AreaCode | integer | No | — | The area code of the phone numbers to read. Applies to only phone numbers in the US and Canada. |
Contains | string | No | — | Matching pattern to identify phone numbers. This pattern can be between 2 and 16 characters long and allows all digits (0-9) and all non-diacritic latin alphabet letters (a-z, A-Z). It accepts four meta-characters: *, %, +, $. The * and % meta-characters can appear multiple times in the pattern. To match wildcards at the beginning or end of the pattern, use * to match any single character or % to match a sequence of characters. If you use the wildcard patterns, it must include at least two non-meta-characters, and wildcards cannot be used between non-meta-characters. To match the beginning of a pattern, start the pattern with +. To match the end of the pattern, append the pattern with $. These meta-characters can’t be adjacent to each other. |
SmsEnabled | boolean | No | — | Whether the phone numbers can receive text messages. Can be: true or false. |
MmsEnabled | boolean | No | — | Whether the phone numbers can receive MMS messages. Can be: true or false. |
VoiceEnabled | boolean | No | — | Whether the phone numbers can receive calls. Can be: true or false. |
ExcludeAllAddressRequired | boolean | No | — | Whether to exclude phone numbers that require an Address. Can be: true or false and the default is false. |
ExcludeLocalAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a local Address. Can be: true or false and the default is false. |
ExcludeForeignAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a foreign Address. Can be: true or false and the default is false. |
Beta | boolean | No | — | Whether to read phone numbers that are new to the Twilio platform. Can be: true or false and the default is true. |
NearNumber | string | No | — | Given a phone number, find a geographically close number within distance miles. Distance defaults to 25 miles. Applies to only phone numbers in the US and Canada. |
NearLatLong | string | No | — | Given a latitude/longitude pair lat,long find geographically close numbers within distance miles. Applies to only phone numbers in the US and Canada. |
Distance | integer | No | — | The search radius, in miles, for a near_ query. Can be up to 500 and the default is 25. Applies to only phone numbers in the US and Canada. |
InPostalCode | string | No | — | Limit results to a particular postal code. Given a phone number, search within the same postal code as that number. Applies to only phone numbers in the US and Canada. |
InRegion | string | No | — | Limit results to a particular region, state, or province. Given a phone number, search within the same region as that number. Applies to only phone numbers in the US and Canada. |
InRateCenter | string | No | — | Limit results to a specific rate center, or given a phone number search within the same rate center as that number. Requires in_lata to be set as well. Applies to only phone numbers in the US and Canada. |
InLata | string | No | — | Limit results to a specific local access and transport area (LATA). Given a phone number, search within the same LATA as that number. Applies to only phone numbers in the US and Canada. |
InLocality | string | No | — | Limit results to a particular locality or city. Given a phone number, search within the same Locality as that number. |
FaxEnabled | boolean | No | — | Whether the phone numbers can receive faxes. Can be: true or false. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_available_phone_number_mobile
GET /AvailablePhoneNumbers/{CountryCode}/Mobile.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CountryCode | string | Yes | — | The ISO-3166-1 country code of the country from which to read phone numbers. |
AreaCode | integer | No | — | The area code of the phone numbers to read. Applies to only phone numbers in the US and Canada. |
Contains | string | No | — | Matching pattern to identify phone numbers. This pattern can be between 2 and 16 characters long and allows all digits (0-9) and all non-diacritic latin alphabet letters (a-z, A-Z). It accepts four meta-characters: *, %, +, $. The * and % meta-characters can appear multiple times in the pattern. To match wildcards at the beginning or end of the pattern, use * to match any single character or % to match a sequence of characters. If you use the wildcard patterns, it must include at least two non-meta-characters, and wildcards cannot be used between non-meta-characters. To match the beginning of a pattern, start the pattern with +. To match the end of the pattern, append the pattern with $. These meta-characters can’t be adjacent to each other. |
SmsEnabled | boolean | No | — | Whether the phone numbers can receive text messages. Can be: true or false. |
MmsEnabled | boolean | No | — | Whether the phone numbers can receive MMS messages. Can be: true or false. |
VoiceEnabled | boolean | No | — | Whether the phone numbers can receive calls. Can be: true or false. |
ExcludeAllAddressRequired | boolean | No | — | Whether to exclude phone numbers that require an Address. Can be: true or false and the default is false. |
ExcludeLocalAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a local Address. Can be: true or false and the default is false. |
ExcludeForeignAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a foreign Address. Can be: true or false and the default is false. |
Beta | boolean | No | — | Whether to read phone numbers that are new to the Twilio platform. Can be: true or false and the default is true. |
NearNumber | string | No | — | Given a phone number, find a geographically close number within distance miles. Distance defaults to 25 miles. Applies to only phone numbers in the US and Canada. |
NearLatLong | string | No | — | Given a latitude/longitude pair lat,long find geographically close numbers within distance miles. Applies to only phone numbers in the US and Canada. |
Distance | integer | No | — | The search radius, in miles, for a near_ query. Can be up to 500 and the default is 25. Applies to only phone numbers in the US and Canada. |
InPostalCode | string | No | — | Limit results to a particular postal code. Given a phone number, search within the same postal code as that number. Applies to only phone numbers in the US and Canada. |
InRegion | string | No | — | Limit results to a particular region, state, or province. Given a phone number, search within the same region as that number. Applies to only phone numbers in the US and Canada. |
InRateCenter | string | No | — | Limit results to a specific rate center, or given a phone number search within the same rate center as that number. Requires in_lata to be set as well. Applies to only phone numbers in the US and Canada. |
InLata | string | No | — | Limit results to a specific local access and transport area (LATA). Given a phone number, search within the same LATA as that number. Applies to only phone numbers in the US and Canada. |
InLocality | string | No | — | Limit results to a particular locality or city. Given a phone number, search within the same Locality as that number. |
FaxEnabled | boolean | No | — | Whether the phone numbers can receive faxes. Can be: true or false. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_available_phone_number_national
GET /AvailablePhoneNumbers/{CountryCode}/National.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CountryCode | string | Yes | — | The ISO-3166-1 country code of the country from which to read phone numbers. |
AreaCode | integer | No | — | The area code of the phone numbers to read. Applies to only phone numbers in the US and Canada. |
Contains | string | No | — | Matching pattern to identify phone numbers. This pattern can be between 2 and 16 characters long and allows all digits (0-9) and all non-diacritic latin alphabet letters (a-z, A-Z). It accepts four meta-characters: *, %, +, $. The * and % meta-characters can appear multiple times in the pattern. To match wildcards at the beginning or end of the pattern, use * to match any single character or % to match a sequence of characters. If you use the wildcard patterns, it must include at least two non-meta-characters, and wildcards cannot be used between non-meta-characters. To match the beginning of a pattern, start the pattern with +. To match the end of the pattern, append the pattern with $. These meta-characters can’t be adjacent to each other. |
SmsEnabled | boolean | No | — | Whether the phone numbers can receive text messages. Can be: true or false. |
MmsEnabled | boolean | No | — | Whether the phone numbers can receive MMS messages. Can be: true or false. |
VoiceEnabled | boolean | No | — | Whether the phone numbers can receive calls. Can be: true or false. |
ExcludeAllAddressRequired | boolean | No | — | Whether to exclude phone numbers that require an Address. Can be: true or false and the default is false. |
ExcludeLocalAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a local Address. Can be: true or false and the default is false. |
ExcludeForeignAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a foreign Address. Can be: true or false and the default is false. |
Beta | boolean | No | — | Whether to read phone numbers that are new to the Twilio platform. Can be: true or false and the default is true. |
NearNumber | string | No | — | Given a phone number, find a geographically close number within distance miles. Distance defaults to 25 miles. Applies to only phone numbers in the US and Canada. |
NearLatLong | string | No | — | Given a latitude/longitude pair lat,long find geographically close numbers within distance miles. Applies to only phone numbers in the US and Canada. |
Distance | integer | No | — | The search radius, in miles, for a near_ query. Can be up to 500 and the default is 25. Applies to only phone numbers in the US and Canada. |
InPostalCode | string | No | — | Limit results to a particular postal code. Given a phone number, search within the same postal code as that number. Applies to only phone numbers in the US and Canada. |
InRegion | string | No | — | Limit results to a particular region, state, or province. Given a phone number, search within the same region as that number. Applies to only phone numbers in the US and Canada. |
InRateCenter | string | No | — | Limit results to a specific rate center, or given a phone number search within the same rate center as that number. Requires in_lata to be set as well. Applies to only phone numbers in the US and Canada. |
InLata | string | No | — | Limit results to a specific local access and transport area (LATA). Given a phone number, search within the same LATA as that number. Applies to only phone numbers in the US and Canada. |
InLocality | string | No | — | Limit results to a particular locality or city. Given a phone number, search within the same Locality as that number. |
FaxEnabled | boolean | No | — | Whether the phone numbers can receive faxes. Can be: true or false. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_available_phone_number_shared_cost
GET /AvailablePhoneNumbers/{CountryCode}/SharedCost.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CountryCode | string | Yes | — | The ISO-3166-1 country code of the country from which to read phone numbers. |
AreaCode | integer | No | — | The area code of the phone numbers to read. Applies to only phone numbers in the US and Canada. |
Contains | string | No | — | Matching pattern to identify phone numbers. This pattern can be between 2 and 16 characters long and allows all digits (0-9) and all non-diacritic latin alphabet letters (a-z, A-Z). It accepts four meta-characters: *, %, +, $. The * and % meta-characters can appear multiple times in the pattern. To match wildcards at the beginning or end of the pattern, use * to match any single character or % to match a sequence of characters. If you use the wildcard patterns, it must include at least two non-meta-characters, and wildcards cannot be used between non-meta-characters. To match the beginning of a pattern, start the pattern with +. To match the end of the pattern, append the pattern with $. These meta-characters can’t be adjacent to each other. |
SmsEnabled | boolean | No | — | Whether the phone numbers can receive text messages. Can be: true or false. |
MmsEnabled | boolean | No | — | Whether the phone numbers can receive MMS messages. Can be: true or false. |
VoiceEnabled | boolean | No | — | Whether the phone numbers can receive calls. Can be: true or false. |
ExcludeAllAddressRequired | boolean | No | — | Whether to exclude phone numbers that require an Address. Can be: true or false and the default is false. |
ExcludeLocalAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a local Address. Can be: true or false and the default is false. |
ExcludeForeignAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a foreign Address. Can be: true or false and the default is false. |
Beta | boolean | No | — | Whether to read phone numbers that are new to the Twilio platform. Can be: true or false and the default is true. |
NearNumber | string | No | — | Given a phone number, find a geographically close number within distance miles. Distance defaults to 25 miles. Applies to only phone numbers in the US and Canada. |
NearLatLong | string | No | — | Given a latitude/longitude pair lat,long find geographically close numbers within distance miles. Applies to only phone numbers in the US and Canada. |
Distance | integer | No | — | The search radius, in miles, for a near_ query. Can be up to 500 and the default is 25. Applies to only phone numbers in the US and Canada. |
InPostalCode | string | No | — | Limit results to a particular postal code. Given a phone number, search within the same postal code as that number. Applies to only phone numbers in the US and Canada. |
InRegion | string | No | — | Limit results to a particular region, state, or province. Given a phone number, search within the same region as that number. Applies to only phone numbers in the US and Canada. |
InRateCenter | string | No | — | Limit results to a specific rate center, or given a phone number search within the same rate center as that number. Requires in_lata to be set as well. Applies to only phone numbers in the US and Canada. |
InLata | string | No | — | Limit results to a specific local access and transport area (LATA). Given a phone number, search within the same LATA as that number. Applies to only phone numbers in the US and Canada. |
InLocality | string | No | — | Limit results to a particular locality or city. Given a phone number, search within the same Locality as that number. |
FaxEnabled | boolean | No | — | Whether the phone numbers can receive faxes. Can be: true or false. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_available_phone_number_toll_free
GET /AvailablePhoneNumbers/{CountryCode}/TollFree.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CountryCode | string | Yes | — | The ISO-3166-1 country code of the country from which to read phone numbers. |
AreaCode | integer | No | — | The area code of the phone numbers to read. Applies to only phone numbers in the US and Canada. |
Contains | string | No | — | Matching pattern to identify phone numbers. This pattern can be between 2 and 16 characters long and allows all digits (0-9) and all non-diacritic latin alphabet letters (a-z, A-Z). It accepts four meta-characters: *, %, +, $. The * and % meta-characters can appear multiple times in the pattern. To match wildcards at the beginning or end of the pattern, use * to match any single character or % to match a sequence of characters. If you use the wildcard patterns, it must include at least two non-meta-characters, and wildcards cannot be used between non-meta-characters. To match the beginning of a pattern, start the pattern with +. To match the end of the pattern, append the pattern with $. These meta-characters can’t be adjacent to each other. |
SmsEnabled | boolean | No | — | Whether the phone numbers can receive text messages. Can be: true or false. |
MmsEnabled | boolean | No | — | Whether the phone numbers can receive MMS messages. Can be: true or false. |
VoiceEnabled | boolean | No | — | Whether the phone numbers can receive calls. Can be: true or false. |
ExcludeAllAddressRequired | boolean | No | — | Whether to exclude phone numbers that require an Address. Can be: true or false and the default is false. |
ExcludeLocalAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a local Address. Can be: true or false and the default is false. |
ExcludeForeignAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a foreign Address. Can be: true or false and the default is false. |
Beta | boolean | No | — | Whether to read phone numbers that are new to the Twilio platform. Can be: true or false and the default is true. |
NearNumber | string | No | — | Given a phone number, find a geographically close number within distance miles. Distance defaults to 25 miles. Applies to only phone numbers in the US and Canada. |
NearLatLong | string | No | — | Given a latitude/longitude pair lat,long find geographically close numbers within distance miles. Applies to only phone numbers in the US and Canada. |
Distance | integer | No | — | The search radius, in miles, for a near_ query. Can be up to 500 and the default is 25. Applies to only phone numbers in the US and Canada. |
InPostalCode | string | No | — | Limit results to a particular postal code. Given a phone number, search within the same postal code as that number. Applies to only phone numbers in the US and Canada. |
InRegion | string | No | — | Limit results to a particular region, state, or province. Given a phone number, search within the same region as that number. Applies to only phone numbers in the US and Canada. |
InRateCenter | string | No | — | Limit results to a specific rate center, or given a phone number search within the same rate center as that number. Requires in_lata to be set as well. Applies to only phone numbers in the US and Canada. |
InLata | string | No | — | Limit results to a specific local access and transport area (LATA). Given a phone number, search within the same LATA as that number. Applies to only phone numbers in the US and Canada. |
InLocality | string | No | — | Limit results to a particular locality or city. Given a phone number, search within the same Locality as that number. |
FaxEnabled | boolean | No | — | Whether the phone numbers can receive faxes. Can be: true or false. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_available_phone_number_voip
GET /AvailablePhoneNumbers/{CountryCode}/Voip.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CountryCode | string | Yes | — | The ISO-3166-1 country code of the country from which to read phone numbers. |
AreaCode | integer | No | — | The area code of the phone numbers to read. Applies to only phone numbers in the US and Canada. |
Contains | string | No | — | Matching pattern to identify phone numbers. This pattern can be between 2 and 16 characters long and allows all digits (0-9) and all non-diacritic latin alphabet letters (a-z, A-Z). It accepts four meta-characters: *, %, +, $. The * and % meta-characters can appear multiple times in the pattern. To match wildcards at the beginning or end of the pattern, use * to match any single character or % to match a sequence of characters. If you use the wildcard patterns, it must include at least two non-meta-characters, and wildcards cannot be used between non-meta-characters. To match the beginning of a pattern, start the pattern with +. To match the end of the pattern, append the pattern with $. These meta-characters can’t be adjacent to each other. |
SmsEnabled | boolean | No | — | Whether the phone numbers can receive text messages. Can be: true or false. |
MmsEnabled | boolean | No | — | Whether the phone numbers can receive MMS messages. Can be: true or false. |
VoiceEnabled | boolean | No | — | Whether the phone numbers can receive calls. Can be: true or false. |
ExcludeAllAddressRequired | boolean | No | — | Whether to exclude phone numbers that require an Address. Can be: true or false and the default is false. |
ExcludeLocalAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a local Address. Can be: true or false and the default is false. |
ExcludeForeignAddressRequired | boolean | No | — | Whether to exclude phone numbers that require a foreign Address. Can be: true or false and the default is false. |
Beta | boolean | No | — | Whether to read phone numbers that are new to the Twilio platform. Can be: true or false and the default is true. |
NearNumber | string | No | — | Given a phone number, find a geographically close number within distance miles. Distance defaults to 25 miles. Applies to only phone numbers in the US and Canada. |
NearLatLong | string | No | — | Given a latitude/longitude pair lat,long find geographically close numbers within distance miles. Applies to only phone numbers in the US and Canada. |
Distance | integer | No | — | The search radius, in miles, for a near_ query. Can be up to 500 and the default is 25. Applies to only phone numbers in the US and Canada. |
InPostalCode | string | No | — | Limit results to a particular postal code. Given a phone number, search within the same postal code as that number. Applies to only phone numbers in the US and Canada. |
InRegion | string | No | — | Limit results to a particular region, state, or province. Given a phone number, search within the same region as that number. Applies to only phone numbers in the US and Canada. |
InRateCenter | string | No | — | Limit results to a specific rate center, or given a phone number search within the same rate center as that number. Requires in_lata to be set as well. Applies to only phone numbers in the US and Canada. |
InLata | string | No | — | Limit results to a specific local access and transport area (LATA). Given a phone number, search within the same LATA as that number. Applies to only phone numbers in the US and Canada. |
InLocality | string | No | — | Limit results to a particular locality or city. Given a phone number, search within the same Locality as that number. |
FaxEnabled | boolean | No | — | Whether the phone numbers can receive faxes. Can be: true or false. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_dependent_phone_number
GET /Addresses/{AddressSid}/DependentPhoneNumbers.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AddressSid | string | Yes | — | The SID of the Address resource associated with the phone number. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_incoming_phone_number
Retrieve a list of incoming-phone-numbers belonging to the account used to make the request. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Beta | boolean | No | — | Whether to include phone numbers new to the Twilio platform. Can be: true or false and the default is true. |
FriendlyName | string | No | — | A string that identifies the IncomingPhoneNumber resources to read. |
PhoneNumber | string | No | — | The phone numbers of the IncomingPhoneNumber resources to read. You can specify partial numbers and use ’*’ as a wildcard for any digit. |
Origin | string | No | — | Whether to include phone numbers based on their origin. Can be: twilio or hosted. By default, phone numbers of all origin are included. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_incoming_phone_number_local
GET /IncomingPhoneNumbers/Local.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Beta | boolean | No | — | Whether to include phone numbers new to the Twilio platform. Can be: true or false and the default is true. |
FriendlyName | string | No | — | A string that identifies the resources to read. |
PhoneNumber | string | No | — | The phone numbers of the IncomingPhoneNumber resources to read. You can specify partial numbers and use ’*’ as a wildcard for any digit. |
Origin | string | No | — | Whether to include phone numbers based on their origin. Can be: twilio or hosted. By default, phone numbers of all origin are included. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_incoming_phone_number_mobile
GET /IncomingPhoneNumbers/Mobile.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Beta | boolean | No | — | Whether to include phone numbers new to the Twilio platform. Can be: true or false and the default is true. |
FriendlyName | string | No | — | A string that identifies the resources to read. |
PhoneNumber | string | No | — | The phone numbers of the IncomingPhoneNumber resources to read. You can specify partial numbers and use ’*’ as a wildcard for any digit. |
Origin | string | No | — | Whether to include phone numbers based on their origin. Can be: twilio or hosted. By default, phone numbers of all origin are included. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_incoming_phone_number_toll_free
GET /IncomingPhoneNumbers/TollFree.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Beta | boolean | No | — | Whether to include phone numbers new to the Twilio platform. Can be: true or false and the default is true. |
FriendlyName | string | No | — | A string that identifies the resources to read. |
PhoneNumber | string | No | — | The phone numbers of the IncomingPhoneNumber resources to read. You can specify partial numbers and use ’*’ as a wildcard for any digit. |
Origin | string | No | — | Whether to include phone numbers based on their origin. Can be: twilio or hosted. By default, phone numbers of all origin are included. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_list_outgoing_caller_id
Retrieve a list of outgoing-caller-ids belonging to the account used to make the request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
PhoneNumber | string | No | — | The phone number of the OutgoingCallerId resources to read. |
FriendlyName | string | No | — | The string that identifies the OutgoingCallerId resources to read. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_phone_numbers_update_address
POST /Addresses/{Sid}.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the Address resource to update. |
AutoCorrectAddress | boolean | No | — | Whether we should automatically correct the address. Can be: true or false and the default is true. If empty or true, we will correct the address you provide if necessary. If false, we won’t alter the address you provide. |
City | string | No | — | The city of the address. |
CustomerName | string | No | — | The name to associate with the address. |
EmergencyEnabled | boolean | No | — | Whether to enable emergency calling on the address. Can be: true or false. |
FriendlyName | string | No | — | A descriptive string that you create to describe the new address. It can be up to 64 characters long for Regulatory Compliance addresses and 32 characters long for Emergency addresses. |
PostalCode | string | No | — | The postal code of the address. |
Region | string | No | — | The state or region of the address. |
Street | string | No | — | The number and street address of the address. |
StreetSecondary | string | No | — | The additional number and street address of the address. |
twilio_phone_numbers_update_incoming_phone_number
Update an incoming-phone-number instance. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the IncomingPhoneNumber resource to update. |
AccountSid | string | No | — | The SID of the Account that created the IncomingPhoneNumber resource to update. For more information, see Exchanging Numbers Between Subaccounts. |
AddressSid | string | No | — | The SID of the Address resource we should associate with the phone number. Some regions require addresses to meet local regulations. |
ApiVersion | string | No | — | The API version to use for incoming calls made to the phone number. The default is 2010-04-01. |
BundleSid | string | No | — | The SID of the Bundle resource that you associate with the phone number. Some regions require a Bundle to meet local Regulations. |
EmergencyAddressSid | string | No | — | The SID of the emergency address configuration to use for emergency calling from this phone number. |
EmergencyStatus | string | No | — | The parameter displays if emergency calling is enabled for this number. Active numbers may place emergency calls by dialing valid emergency numbers for the country. |
FriendlyName | string | No | — | A descriptive string that you created to describe this phone number. It can be up to 64 characters long. By default, this is a formatted version of the phone number. |
IdentitySid | string | No | — | The SID of the Identity resource that we should associate with the phone number. Some regions require an identity to meet local regulations. |
SmsApplicationSid | string | No | — | The SID of the application that should handle SMS messages sent to the number. If an sms_application_sid is present, we ignore all of the sms_*_url urls and use those set on the application. |
SmsFallbackMethod | string | No | — | The HTTP method that we should use to call sms_fallback_url. Can be: GET or POST and defaults to POST. |
SmsFallbackUrl | string | No | — | The URL that we should call when an error occurs while requesting or executing the TwiML defined by sms_url. |
SmsMethod | string | No | — | The HTTP method that we should use to call sms_url. Can be: GET or POST and defaults to POST. |
SmsUrl | string | No | — | The URL we should call when the phone number receives an incoming SMS message. |
StatusCallback | string | No | — | The URL we should call using the status_callback_method to send status information to your application. |
StatusCallbackMethod | string | No | — | The HTTP method we should use to call status_callback. Can be: GET or POST and defaults to POST. |
TrunkSid | string | No | — | The SID of the Trunk we should use to handle phone calls to the phone number. If a trunk_sid is present, we ignore all of the voice urls and voice applications and use only those set on the Trunk. Setting a trunk_sid will automatically delete your voice_application_sid and vice versa. |
VoiceApplicationSid | string | No | — | The SID of the application we should use to handle phone calls to the phone number. If a voice_application_sid is present, we ignore all of the voice urls and use only those set on the application. Setting a voice_application_sid will automatically delete your trunk_sid and vice versa. |
VoiceCallerIdLookup | boolean | No | — | Whether to lookup the caller’s name from the CNAM database and post it to your app. Can be: true or false and defaults to false. |
VoiceFallbackMethod | string | No | — | The HTTP method that we should use to call voice_fallback_url. Can be: GET or POST and defaults to POST. |
VoiceFallbackUrl | string | No | — | The URL that we should call when an error occurs retrieving or executing the TwiML requested by url. |
VoiceMethod | string | No | — | The HTTP method that we should use to call voice_url. Can be: GET or POST and defaults to POST. |
VoiceReceiveMode | string | No | — | Voice Receive Mode |
VoiceUrl | string | No | — | The URL that we should call to answer a call to the phone number. The voice_url will not be called if a voice_application_sid or a trunk_sid is set. |
twilio_phone_numbers_update_outgoing_caller_id
Updates the caller-id Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the OutgoingCallerId resource to update. |
FriendlyName | string | No | — | A descriptive string that you create to describe the resource. It can be up to 64 characters long. |

